Index: /gsdl/trunk/runtime-src/src/colservr/win32.mak
===================================================================
--- /gsdl/trunk/runtime-src/src/colservr/win32.mak	(revision 18047)
+++ /gsdl/trunk/runtime-src/src/colservr/win32.mak	(revision 18048)
@@ -30,4 +30,5 @@
 
 INDEXERS_DIR = $(COMMON_DIR)\indexers
+COMMON_PACKAGES_DIR = $(COMMON_DIR)\packages
 PACKAGES_DIR = $(RUNTIME_DIR)\packages
 
@@ -55,5 +56,5 @@
 !IF $(USE_SQLITE)
 SQLITE_DEFINES = -DUSE_SQLITE
-SQLITE_INCLUDES = -I"$(COMMON_DIR)\packages\sqlite\include"
+SQLITE_INCLUDES = -I"$(COMMON_PACKAGES_DIR)\sqlite\include"
 !ELSE
 SQLITE_DEFINES = 
@@ -76,9 +77,9 @@
 	-I"$(INDEXERS_DIR)\mg" -I"$(INDEXERS_DIR)\mg\lib" -I"$(INDEXERS_DIR)\mg\src\text" \
 	-I"$(INDEXERS_DIR)\mgpp\lib" -I"$(INDEXERS_DIR)\mgpp\text" \
-	-I"$(COMMON_DIR)\packages\windows\expat\expat" -I"$(COMMON_DIR)\packages\windows\gdbm\gdbm" $(SQLITE_INCLUDES)
+	-I"$(COMMON_PACKAGES_DIR)\windows\expat\expat" -I"$(COMMON_PACKAGES_DIR)\windows\gdbm\gdbm" $(SQLITE_INCLUDES)
 
 !IF $(GSDL_VC4)
 DEFS=$(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
-INCLUDES = $(INCLUDES) -I"$(COMMON_DIR)\packages\windows\stlport\stlport"
+INCLUDES = $(INCLUDES) -I"$(COMMON_PACKAGES_DIR)\windows\stlport\stlport"
 !ENDIF
 
Index: /gsdl/trunk/runtime-src/src/oaiservr/win32.mak
===================================================================
--- /gsdl/trunk/runtime-src/src/oaiservr/win32.mak	(revision 18047)
+++ /gsdl/trunk/runtime-src/src/oaiservr/win32.mak	(revision 18048)
@@ -30,6 +30,5 @@
 
 INDEXERS_DIR = $(COMMON_DIR)\indexers
-COMMON_PACKAGES = $(COMMON_DIR)\packages
-
+COMMON_PACKAGES_DIR = $(COMMON_DIR)\packages
 PACKAGES_DIR = $(RUNTIME_DIR)\packages
 COLSERVR_DIR = $(RUNTIME_DIR)\src\colservr
@@ -67,5 +66,5 @@
 
 !IF $(USE_SQLITE)
-SQLITE_LIBS = "$(COMMON_PACKAGES)\sqlite\lib\sqlite3.lib"
+SQLITE_LIBS = "$(COMMON_PACKAGES_DIR)\sqlite\lib\sqlite3.lib"
 !ELSE
 SQLITE_LIBS = 
@@ -78,13 +77,13 @@
         -DGSDL_NOCACHE
 INCLUDES = -I"$(COMMON_DIR)\src\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" -I"$(RECPT_DIR)" \
-        -I"$(INDEXERS_DIR)\mgpp\text" -I"$(COMMON_PACKAGES)\windows\crypt\crypt" \
-	-I"$(COMMON_PACKAGES)\windows\expat\expat" -I"$(COMMON_PACKAGES)\windows\gdbm\gdbm"
+        -I"$(INDEXERS_DIR)\mgpp\text" -I"$(COMMON_PACKAGES_DIR)\windows\crypt\crypt" \
+	-I"$(COMMON_PACKAGES_DIR)\windows\expat\expat" -I"$(COMMON_PACKAGES_DIR)\windows\gdbm\gdbm"
 LDFLAGS = 
-LIBS = "$(COMMON_PACKAGES)\windows\crypt\crypt\crypt.lib" "$(COMMON_PACKAGES)\windows\expat\expat\libexpat.lib" \
-        "$(COMMON_PACKAGES)\windows\gdbm\gdbm\gdbm.lib" $(ACCENTFOLD_LIBS) $(SQLITE_LIBS)
+LIBS = "$(COMMON_PACKAGES_DIR)\windows\crypt\crypt\crypt.lib" "$(COMMON_PACKAGES_DIR)\windows\expat\expat\libexpat.lib" \
+        "$(COMMON_PACKAGES_DIR)\windows\gdbm\gdbm\gdbm.lib" $(ACCENTFOLD_LIBS) $(SQLITE_LIBS)
 
 !IF $(GSDL_VC4)
 DEFS = $(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
-INCLUDES = $(INCLUDES) -I"$(COMMON_PACKAGES)\windows\stlport\stlport"
+INCLUDES = $(INCLUDES) -I"$(COMMON_PACKAGES_DIR)\windows\stlport\stlport"
 !ENDIF
 !IF $(LOCAL_LIBRARY)
Index: /gsdl/trunk/runtime-src/src/protocol/win32.mak
===================================================================
--- /gsdl/trunk/runtime-src/src/protocol/win32.mak	(revision 18047)
+++ /gsdl/trunk/runtime-src/src/protocol/win32.mak	(revision 18048)
@@ -30,6 +30,5 @@
 
 INDEXERS_DIR = $(COMMON_DIR)\indexers
-COMMON_PACKAGES = $(COMMON_DIR)\packages
-
+COMMON_PACKAGES_DIR = $(COMMON_DIR)\packages
 COLSERVR_DIR = $(RUNTIME_DIR)\src\colservr
 
@@ -60,9 +59,9 @@
 # Do NOT add the "recpt" directory here: the protocol should be independent of the receptionist!
 INCLUDES = -I"$(GSDL_DIR)" -I"$(COMMON_DIR)\src\lib" -I"$(COLSERVR_DIR)" -I"$(INDEXERS_DIR)\mgpp\text" \
-	 -I"$(COMMON_PACKAGES)\windows\gdbm\gdbm"
+	 -I"$(COMMON_PACKAGES_DIR)\windows\gdbm\gdbm"
 
 !IF $(GSDL_VC4)
 DEFS=$(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
-INCLUDES = $(INCLUDES) -I"$(COMMON_PACKAGES)\windows\stlport\stlport"
+INCLUDES = $(INCLUDES) -I"$(COMMON_PACKAGES_DIR)\windows\stlport\stlport"
 !ENDIF
 
Index: /gsdl/trunk/runtime-src/src/recpt/win32.mak
===================================================================
--- /gsdl/trunk/runtime-src/src/recpt/win32.mak	(revision 18047)
+++ /gsdl/trunk/runtime-src/src/recpt/win32.mak	(revision 18048)
@@ -30,7 +30,5 @@
 
 INDEXERS_DIR = $(COMMON_DIR)\indexers
-COMMON_PACKAGES = $(COMMON_DIR)\packages
-
-
+COMMON_PACKAGES_DIR = $(COMMON_DIR)\packages
 PACKAGES_DIR = $(RUNTIME_DIR)\packages
 COLSERVR_DIR = $(RUNTIME_DIR)\src\colservr
@@ -69,5 +67,5 @@
 
 !IF $(USE_SQLITE)
-SQLITE_LIBS = "$(COMMON_PACKAGES)\sqlite\lib\sqlite3.lib"
+SQLITE_LIBS = "$(COMMON_PACKAGES_DIR)\sqlite\lib\sqlite3.lib"
 !ELSE
 SQLITE_LIBS = 
@@ -77,5 +75,5 @@
 Z3950_DEFS = -DUSE_Z3950
 Z3950_INCLUDES = -I$(Z3950_DIR)
-Z3950_LIBS = $(Z3950_DIR)\gsdlz3950.lib $(COMMON_PACKAGES)\yaz\yaz-2.1.4\lib\yaz.lib
+Z3950_LIBS = $(Z3950_DIR)\gsdlz3950.lib $(PACKAGES_DIR)\yaz\yaz-2.1.4\lib\yaz.lib
 !ELSE
 Z3950_DEFS = 
@@ -91,13 +89,13 @@
 INCLUDES = -I. -I"$(GSDL_DIR)" -I"$(COMMON_DIR)\src\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" \
 	-I"$(INDEXERS_DIR)\mg" -I"$(INDEXERS_DIR)\mg\lib" -I"$(INDEXERS_DIR)\mgpp\text" \
-	-I"$(COMMON_PACKAGES)\windows\crypt\crypt" -I"$(COMMON_PACKAGES)\windows\expat\expat" \
-	-I"$(COMMON_PACKAGES)\windows\gdbm\gdbm" $(Z3950_INCLUDES)
+	-I"$(COMMON_PACKAGES_DIR)\windows\crypt\crypt" -I"$(COMMON_PACKAGES_DIR)\windows\expat\expat" \
+	-I"$(COMMON_PACKAGES_DIR)\windows\gdbm\gdbm" $(Z3950_INCLUDES)
 LDFLAGS = 
-LIBS = "$(COMMON_PACKAGES)\windows\crypt\crypt\crypt.lib" "$(COMMON_PACKAGES)\windows\expat\expat\libexpat.lib" \
-        "$(COMMON_PACKAGES)\windows\gdbm\gdbm\gdbm.lib" $(ACCENTFOLD_LIBS) $(SQLITE_LIBS) $(Z3950_LIBS)
+LIBS = "$(COMMON_PACKAGES_DIR)\windows\crypt\crypt\crypt.lib" "$(COMMON_PACKAGES_DIR)\windows\expat\expat\libexpat.lib" \
+        "$(COMMON_PACKAGES_DIR)\windows\gdbm\gdbm\gdbm.lib" $(ACCENTFOLD_LIBS) $(SQLITE_LIBS) $(Z3950_LIBS)
 
 !IF $(GSDL_VC4)
 DEFS = $(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
-INCLUDES = $(INCLUDES) -I"$(COMMON_PACKAGES)\windows\stlport\stlport"
+INCLUDES = $(INCLUDES) -I"$(COMMON_PACKAGES_DIR)\windows\stlport\stlport"
 !ENDIF
 !IF $(LOCAL_LIBRARY)
Index: /gsdl/trunk/runtime-src/src/w32server/win32.mak
===================================================================
--- /gsdl/trunk/runtime-src/src/w32server/win32.mak	(revision 18047)
+++ /gsdl/trunk/runtime-src/src/w32server/win32.mak	(revision 18048)
@@ -30,6 +30,5 @@
 
 INDEXERS_DIR = $(COMMON_DIR)\indexers
-COMMON_PACKAGES = $(COMMON_DIR)\packages
-
+COMMON_PACKAGES_DIR = $(COMMON_DIR)\packages
 PACKAGES_DIR = $(RUNTIME_DIR)\packages
 COLSERVR_DIR = $(RUNTIME_DIR)\src\colservr
@@ -56,5 +55,5 @@
 
 !IF $(USE_SQLITE)
-SQLITE_LIBS = "$(COMMON_PACKAGES)\sqlite\lib\sqlite3.lib"
+SQLITE_LIBS = "$(COMMON_PACKAGES_DIR)\sqlite\lib\sqlite3.lib"
 !ELSE
 SQLITE_LIBS = 
@@ -67,10 +66,10 @@
 INCLUDES = -I"$(GSDL_DIR)" -I"$(COMMON_DIR)\src\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" -I"$(RECPT_DIR)" \
 	-I"$(COLSERVR_DIR)" -I"$(INDEXERS_DIR)\mg" \
-	-I"$(COMMON_PACKAGES)\windows\gdbm\gdbm" \
+	-I"$(COMMON_PACKAGES_DIR)\windows\gdbm\gdbm" \
         -I"$(INDEXERS_DIR)\mg\lib" -I"$(INDEXERS_DIR)\mg\src\text" \
     	-I"$(INDEXERS_DIR)\mgpp\lib" -I"$(INDEXERS_DIR)\mgpp\text"
 LDFLAGS =
-LIBS = "$(COMMON_PACKAGES)\windows\crypt\crypt\crypt.lib" "$(COMMON_PACKAGES)\windows\expat\expat\libexpat.lib" \
-        "$(COMMON_PACKAGES)\windows\gdbm\gdbm\gdbm.lib" $(ACCENTFOLD_LIBS) $(SQLITE_LIBS)
+LIBS = "$(COMMON_PACKAGES_DIR)\windows\crypt\crypt\crypt.lib" "$(COMMON_PACKAGES_DIR)\windows\expat\expat\libexpat.lib" \
+        "$(COMMON_PACKAGES_DIR)\windows\gdbm\gdbm\gdbm.lib" $(ACCENTFOLD_LIBS) $(SQLITE_LIBS)
 RSC = rc
 WINLIBS = kernel32.lib user32.lib gdi32.lib winspool.lib \
@@ -82,5 +81,5 @@
 !IF $(GSDL_VC4)
 DEFS = $(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
-INCLUDES = $(INCLUDES) -I"$(COMMON_PACKAGES)\windows\stlport\stlport"
+INCLUDES = $(INCLUDES) -I"$(COMMON_PACKAGES_DIR)\windows\stlport\stlport"
 !ENDIF
 
Index: /gsdl/trunk/runtime-src/src/z3950/win32.mak
===================================================================
--- /gsdl/trunk/runtime-src/src/z3950/win32.mak	(revision 18047)
+++ /gsdl/trunk/runtime-src/src/z3950/win32.mak	(revision 18048)
@@ -30,4 +30,5 @@
 
 INDEXERS_DIR = $(COMMON_DIR)\indexers
+COMMON_PACKAGES_DIR = $(COMMON_DIR)\packages
 PACKAGES_DIR = $(RUNTIME_DIR)\packages
 COLSERVR_DIR = $(RUNTIME_DIR)\src\colservr
@@ -63,5 +64,5 @@
 
 !IF $(USE_SQLITE)
-SQLITE_LIBS = "$(PACKAGES_DIR)\sqlite\lib\sqlite3.lib"
+SQLITE_LIBS = "$(COMMON_PACKAGES_DIR)\sqlite\lib\sqlite3.lib"
 !ELSE
 SQLITE_LIBS = 
@@ -76,7 +77,7 @@
 	-I"$(INDEXERS_DIR)\mgpp\text" -I"$(PACKAGES_DIR)\yaz\yaz-2.1.4\include" \
 	-I"$(PACKAGES_DIR)\yaz\yaz-2.1.4\client" -I"$(PACKAGES_DIR)\d2m" \
-	-I"$(PACKAGES_DIR)\windows\gdbm\gdbm"
+	-I"$(COMMON_PACKAGES_DIR)\windows\gdbm\gdbm"
 LDFLAGS = 
-LIBS = "$(PACKAGES_DIR)\windows\expat\expat\libexpat.lib" "$(PACKAGES_DIR)\windows\gdbm\gdbm\gdbm.lib" \
+LIBS = "$(COMMON_PACKAGES_DIR)\windows\expat\expat\libexpat.lib" "$(COMMON_PACKAGES_DIR)\windows\gdbm\gdbm\gdbm.lib" \
         "$(PACKAGES_DIR)\d2m\libd2m.lib" "$(PACKAGES_DIR)\yaz\yaz-2.1.4\lib\yaz.lib" $(ACCENTFOLD_LIBS) \
 	$(SQLITE_LIBS)
@@ -84,5 +85,5 @@
 !IF $(GSDL_VC4)
 DEFS=$(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
-INCLUDES = $(INCLUDES) -I"$(PACKAGES_DIR)\windows\stlport\stlport"
+INCLUDES = $(INCLUDES) -I"$(COMMON_PACKAGES_DIR)\windows\stlport\stlport"
 !ENDIF
 