Index: release-kits/lirk2/ant-scripts/create-components.xml
===================================================================
--- release-kits/lirk2/ant-scripts/create-components.xml	(revision 18047)
+++ release-kits/lirk2/ant-scripts/create-components.xml	(revision 18049)
@@ -58,4 +58,5 @@
 				<exclude name="micotest.cpp"/>
 				<exclude name="config.h.in"/>
+				<exclude name="Install.txt"/>
 
 				<exclude name="README*.txt"/>
@@ -81,5 +82,5 @@
 		</exec>
 		<exec dir="distributions/web" executable="cp">
-			<arg line="acconfig.h aclocal.m4 config.guess config.sub configtest.pl configure configure.in install-sh Makefile.in micotest.cpp config.h.in ${basedir}/components/tmp/sourcecode"/>
+			<arg line="acconfig.h aclocal.m4 config.guess config.sub configtest.pl configure configure.in install-sh Makefile.in micotest.cpp config.h.in Install.txt ${basedir}/components/tmp/sourcecode"/>
 		</exec>
 				
Index: release-kits/lirk2/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/lirk2/ant-scripts/create-distribution.xml	(revision 18047)
+++ release-kits/lirk2/ant-scripts/create-distribution.xml	(revision 18049)
@@ -94,5 +94,5 @@
 	<target name="remove-unneeded-files">
 		<delete file="${basedir}/distributions/web/gli/.greenstonestore" />
-		<delete><fileset dir="${basedir}/distributions/web" includes="win32.mak,win32cfg.h,Install.sh"/></delete>
+		<delete><fileset dir="${basedir}/distributions/web" includes="win32.mak,win32cfg.h,Install.sh,Support.htm"/></delete>
 		<delete file="${basedir}/distributions/web/bin/java/SignedGatherer.jar" />
 		<delete><fileset dir="${basedir}/distributions/web/gli" includes="*.bat"/></delete>
Index: release-kits/mark2/ant-scripts/create-components.xml
===================================================================
--- release-kits/mark2/ant-scripts/create-components.xml	(revision 18047)
+++ release-kits/mark2/ant-scripts/create-components.xml	(revision 18049)
@@ -71,4 +71,5 @@
 				<exclude name="micotest.cpp"/>
 				<exclude name="config.h.in"/>
+				<exclude name="Install.txt"/>
 
 				<exclude name="README*.txt"/>
@@ -95,5 +96,5 @@
 		</exec>
 		<exec dir="distributions/web" executable="cp">
-			<arg line="acconfig.h aclocal.m4 config.guess config.sub configtest.pl configure configure.in install-sh Makefile.in micotest.cpp config.h.in ${basedir}/components/tmp/sourcecode"/>
+			<arg line="acconfig.h aclocal.m4 config.guess config.sub configtest.pl configure configure.in install-sh Makefile.in micotest.cpp config.h.in Install.txt ${basedir}/components/tmp/sourcecode"/>
 		</exec>
 				
Index: release-kits/mark2/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/mark2/ant-scripts/create-distribution.xml	(revision 18047)
+++ release-kits/mark2/ant-scripts/create-distribution.xml	(revision 18049)
@@ -101,5 +101,5 @@
 	<target name="remove-unneeded-files">
 		<delete file="${basedir}/distributions/web/gli/.greenstonestore" />
-		<delete><fileset dir="${basedir}/distributions/web" includes="win32.mak,win32cfg.h,Install.sh"/></delete>
+		<delete><fileset dir="${basedir}/distributions/web" includes="win32.mak,win32cfg.h,Install.sh,Support.htm"/></delete>
 		<delete><fileset dir="${basedir}/distributions/web/gli" includes="*.bat"/></delete>
 		<delete><fileset dir="${basedir}/distributions/web" includes="*.bat"/></delete>
Index: release-kits/wirk2/ant-scripts/create-components.xml
===================================================================
--- release-kits/wirk2/ant-scripts/create-components.xml	(revision 18047)
+++ release-kits/wirk2/ant-scripts/create-components.xml	(revision 18049)
@@ -59,4 +59,5 @@
 					<exclude name="win32cfg.h"/>
 					<exclude name="makegs2.bat"/>
+					<exclude name="Install.txt"/>
 					
 					<!-- exclude all readmes but the english one -->
@@ -130,4 +131,5 @@
 					<include name="win32cfg.h"/>
 					<include name="makegs2.bat"/>
+					<include name="Install.txt"/>
 				</fileset>
 		</copy>
Index: release-kits/wirk2/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/wirk2/ant-scripts/create-distribution.xml	(revision 18047)
+++ release-kits/wirk2/ant-scripts/create-distribution.xml	(revision 18049)
@@ -92,5 +92,5 @@
 		<delete file="${basedir}/distributions/web/gli/.greenstonestore" />
 		<delete dir="${basedir}/distributions/web/bin/linux" />
-		<delete><fileset dir="${basedir}/distributions/web" includes="*.bash,*.sh,*.csh,install-sh,configure,configure.in,config.sub,config.guess,config.h.in,configtest.pl,Makefile.in,aclocal.m4,acconfig.h,micotest.cpp,Install.sh"/></delete>
+		<delete><fileset dir="${basedir}/distributions/web" includes="*.bash,*.sh,*.csh,Support.htm,install-sh,configure,configure.in,config.sub,config.guess,config.h.in,configtest.pl,Makefile.in,aclocal.m4,acconfig.h,micotest.cpp,Install.sh"/></delete>
 		<delete><fileset dir="${basedir}/distributions/web/gli" includes="*.sh,*4gs3.bat"/></delete>
 		<delete file="${basedir}/distributions/web/bin/java/SignedGatherer.jar" />