Index: release-kits/shared/greenstone2/docs/READMEen.txt
===================================================================
--- release-kits/shared/greenstone2/docs/READMEen.txt	(revision 18037)
+++ release-kits/shared/greenstone2/docs/READMEen.txt	(revision 18053)
@@ -11,58 +11,69 @@
 Date    December 2008
 
-Version 2s2008.12.01
+Version svn-trunk
 
 Contents: Programs
-        Greenstone library server  A cgi program to serve digital library collections
-        Greenstone oaiserver           A cgi program to serve collections using the OAI-PMH protocol.
+
+        Greenstone library server  A cgi program to serve digital library 
+				   collections
+        Greenstone oaiserver       A cgi program to serve collections using 
+				   the OAI-PMH protocol.
         Greenstone Librarian Interface (GLI)
                                    A graphical tool for collection building
         Greenstone Editor for Metadata Sets (GEMS)
-                                   A graphical tool for creating and editing metadata sets used by GLI
+                                   A graphical tool for creating and editing 
+				   metadata sets used by GLI
                 
 Contents: Directory Structure
-        bin					Executable code
-        cgi-bin				CGI scripts
-        collect				Collections
-        etc					Configuration files, log files, user databases etc
-        gli					Librarian Interface
-        images				Images and CSS files used by the interface
-        macros				Display macros
-        mappings			Unicode translation tables
-        perllib				Perl modules used for collection building
+
+        bin		Executable code
+        cgi-bin		CGI scripts
+        collect		Collections
+        etc		Configuration files, log files, user databases etc
+        gli		Librarian Interface
+        images		Images and CSS files used by the interface
+        macros		Display macros
+        mappings	Unicode translation tables
+        perllib		Perl modules used for collection building
         
-        If source code is present (from a source release or by adding the source component):
-        common-src   Source code and packages used when building collections and at runtime
-        build-src    Source code and packages only used when building collections
-        runtime-src  Source code and packages only used at runtime
+	If source code is present (from a source release or by adding the 
+	source component):
+        common-src	Source code and packages used when building collections
+			 and at runtime
+        build-src	Source code and packages only used when building 
+			collections
+        runtime-src	Source code and packages only used at runtime
 
-Additional Packages
-           Java Runtime Environment
-		   Imagemagick
-		   Ghostscript
-		   Perl
+Contents: Additional Packages (available only in full binary releases)
 
-		   Documentation and Support
+	Java Runtime 1.6 (installer release only)
+	ImageMagick
+	Ghostscript (Windows, Mac only)
+	Perl (Windows only)
+
+Documentation and Support
         Greenstone Website:
-                   http://www.greenstone.org
-                   Greenstone's main website.
+			http://www.greenstone.org
+			Greenstone's main website.
         Greenstone Wiki: 
-                   http://wiki.greenstone.org
-                   Contains documentation, and links to manuals, tutorials etc...
+			http://wiki.greenstone.org
+			Contains documentation, and links to manuals, tutorials
+			 etc.
         Greenstone Mailing List:
-                   https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users (to subscribe)
-                   greenstone-users@list.scms.waikato.ac.nz (to post)
+			https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users (to subscribe)
+			greenstone-users@list.scms.waikato.ac.nz (to post)
         New Zealand Digital Library: 
-                   http://www.nzdl.org
-                   A demonstration site containing lots of collections
+			http://www.nzdl.org
+			A demonstration site containing lots of collections
 
 
 Platform
-        Greenstone runs on Unix, Windows 2000/XP/2003/Vista/2008 and Mac OS 10.5.2 (Leopard).
         
+	Greenstone runs on Unix, Windows 2000/XP/2003/Vista/2008 and 
+	Mac OS 10.5.2 (Leopard).
         
         The Greenstone Librarian Interface requires version 1.4 or later 
-        of the Java Runtime Environment. Java 1.6 is included in the binary 
-        release of Greenstone.
+        of the Java Runtime Environment. Java 1.6 is included in binary 
+        releases of Greenstone.
 
         The Greenstone user interface uses a Web browser capable of Javascript,
@@ -72,53 +83,43 @@
                 Internet Explorer 4.0
                 Mozilla
-				Safari
+		Safari
 
         More recent versions of these browsers should also work (recommended).
+		
+Unix    
+	Source code has been compiled and tested on the following 
+	distributions:
+
+		Ubuntu 8.04 & 8.10
+		Mandriva 2008 Spring
+		OpenSUSE 11
+		Fedora 6 & 9
+		CentOS 5.2
 
 
-		
-Unix    
-Source code has been compiled and tested on Linux and Solaris.
-        Binary code requires an Intel x86-based Linux distribution which
-        includes ELF binary support and supports the GNU C library (glibc 2.0
-        or greater).  Distributions that meet these requirements include:
+Windows 
+	Source code can be compiled with Microsoft Visual C++ 6.0, 7 
+	(VS 2003.Net), 8 (VS 2005 Pro or VC++ Express 2005 with Microsoft 
+	Platform SDK 2003 R2).
 
-                RedHat 5.1
-                SuSE Linux 6.1
-                Debian 2.1
-                Slackware 4.0
-
-        More recent versions of these distributions should also work. 
-		
-		We have tested Greenstone 2 on the following distributions:
-				Ubuntu 8.04 & 8.10
-				Mandriva 2008 Spring
-				OpenSUSE 11
-				Fedora 6 & 9
-				CentOS 5.2
-
-Windows 
-Source code can be compiled with Microsoft Visual C++ 6.0, 7 (VS 2003.Net).
-
-        Binary code has been tested on 32 bits version of:
-				Windows 2000
-				Windows XP
-				Windows Server 2003
-				Windows Vista
-				Windows Server 2008
+        Binary code has been tested on 32 bit versions of:
+		Windows 2000
+		Windows XP
+		Windows Server 2003
+		Windows Vista
+		Windows Server 2008
 
         Greenstone software (version 2.81 and later) no longer runs on 
-				Windows 3.1
-				Windows 95
-				Windows 98
-				Windows Me
-				Windows NT
+		Windows 3.1
+		Windows 95
+		Windows 98
+		Windows Me
+		Windows NT
 
-Mac (Binary release limited to Mac OS Leopard)
-Source code has been compiled with Xcode 3.1 on Intel Mac OS 10.5.2.
-Binary has been tested on Intel Mac OS 10.5.2 (Leopard).
+Mac
+	Source code has been compiled with Xcode 3.1 on Intel Mac OS 10.5.2.
+	Binary has been tested on Intel Mac OS 10.5.2 (Leopard).
 
-However the source code can be compiled with other versions of Mac OS and Xcode,
-in that case please download Imagemagick and Ghostscript to recompile them from source.
-Please find more information on how to compile Greentone 2 on Mac at this page:
-http://wiki.greenstone.org/wiki/index.php/Installing_Greenstone_2_from_source_for_Beginners#Compiling_the_Source
+	However the source code can be compiled with other versions of Mac OS 
+	and Xcode, in that case please download Imagemagick and Ghostscript to 
+	recompile them from source.