Index: release-kits/lirk2/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/lirk2/ant-scripts/create-distribution.xml	(revision 18053)
+++ release-kits/lirk2/ant-scripts/create-distribution.xml	(revision 18054)
@@ -8,5 +8,4 @@
 		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distributions/web/gli"/></antcall>
 		<antcall target="drop-in-docs" />
-		<antcall target="tweak-files" />
 		<antcall target="insert-uninstaller"><param name="script-format" value="sh"/></antcall> <!-- from rk2-targets -->
 		<antcall target="drop-in-demo-collection" />
@@ -16,33 +15,9 @@
 		<antcall target="compile-gli" />
 		<antcall target="remove-unneeded-files" />
+		<antcall target="create-needed-empty-files"><parem name="gsdl.basedir" value="distributions/web"/></antcall>
 
 		<antcall target="create-binary-zip-linux"/>
 
 	</target>
-
-	<target name="tweak-files">
-		<echo level="info">Changing Install.sh to web release</echo>
-		<rsr file="${basedir}/distributions/web/Install.sh" pattern="^(iscdrom=).*" replacement="$1&quot;no&quot;" />
-
-		<echo level="info">Changing date and version in the docs</echo>
-		<!-- ar -->
-		<rsr file="${basedir}/distributions/web/READMEar.txt" pattern="(Ø§ÙØªØ§Ø±ÙØ® : \s*)(.*)" replacement="$1${month.ar} ${current.year}" />
-		<rsr file="${basedir}/distributions/web/READMEar.txt" pattern="(Ø§ÙÙØ³Ø®Ù : \s*)(.*)" replacement="$1${version}" />
-
-		<!-- es -->
-		<rsr file="${basedir}/distributions/web/READMEes.txt" pattern="^(Fecha\s*)(.*)" replacement="$1${month.es} de ${current.year}" />
-		<rsr file="${basedir}/distributions/web/READMEes.txt" pattern="^(Versi.?n\s*)(.*)" replacement="$1${version}" />
-		<!-- fr -->
-		<rsr file="${basedir}/distributions/web/READMEfr.txt" pattern="^(Date\s*)(.*)" replacement="$1${month.fr} ${current.year}" />
-		<rsr file="${basedir}/distributions/web/READMEfr.txt" pattern="^(Version\s*)(.*)" replacement="$1${version}" />
-		<!-- ru -->
-		<rsr file="${basedir}/distributions/web/READMEru.txt" pattern="^(ÐÐ°ÑÐ°\s*)(.*)" replacement="$1${month.ru} ${current.year}" />
-		<rsr file="${basedir}/distributions/web/READMEru.txt" pattern="^(ÐÐµÑÑÐžÑ\s*)(.*)" replacement="$1${version}" />
-		<!-- en -->
-		<rsr file="${basedir}/distributions/web/READMEen.txt" pattern="^(Date\s*)(.*)" replacement="$1${month.default} ${current.year}" />
-		<rsr file="${basedir}/distributions/web/READMEen.txt" pattern="^(Version\s*)(.*)" replacement="$1${version}" />
-
-	</target>
-
 
 	<target name="drop-in-docs">
Index: release-kits/lirk2/installer/build.xml
===================================================================
--- release-kits/lirk2/installer/build.xml	(revision 18053)
+++ release-kits/lirk2/installer/build.xml	(revision 18054)
@@ -93,7 +93,4 @@
 		<rsr file="${installDir}/etc/main.cfg" pattern="^status .*" replacement="status enabled"/>
 
-		<echo>Create usage.txt</echo>
-		<echo file="${installDir}/etc/usage.txt"></echo>
-
 		<echo>Creating installation properties file</echo>
 		<echo file="${installDir}/etc/installation.properties">#this file is just a placeholder for now</echo>
Index: release-kits/mark2/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/mark2/ant-scripts/create-distribution.xml	(revision 18053)
+++ release-kits/mark2/ant-scripts/create-distribution.xml	(revision 18054)
@@ -8,5 +8,4 @@
 		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distributions/web/gli"/></antcall>
 		<antcall target="drop-in-docs" />
-		<antcall target="tweak-files" />
 		<antcall target="insert-uninstaller"><param name="script-format" value="sh"/></antcall> <!-- from rk2-targets -->
 		<antcall target="drop-in-binaries" />
@@ -17,4 +16,5 @@
 		<antcall target="compile-gli" />
 		<antcall target="remove-unneeded-files" />
+		<antcall target="create-needed-empty-files"><parem name="gsdl.basedir" value="distributions/web"/></antcall>
 
 		<antcall target="create-binary-zip-linux"/>
@@ -76,27 +76,4 @@
 	</target>
 
-	<target name="tweak-files">
-		<echo level="info">Changing Install.sh to web release</echo>
-		<rsr file="${basedir}/distributions/web/Install.sh" pattern="^(iscdrom=).*" replacement="$1&quot;no&quot;" />
-
-		<echo level="info">Changing date and version in the docs</echo>
-		<!-- ar -->
-		<rsr file="${basedir}/distributions/web/READMEar.txt" pattern="(Ø§ÙØªØ§Ø±ÙØ® : \s*)(.*)" replacement="$1${month.ar} ${current.year}" />
-		<rsr file="${basedir}/distributions/web/READMEar.txt" pattern="(Ø§ÙÙØ³Ø®Ù : \s*)(.*)" replacement="$1${version}" />
-		<!-- es -->
-		<rsr file="${basedir}/distributions/web/READMEes.txt" pattern="^(Fecha\s*)(.*)" replacement="$1${month.es} de ${current.year}" />
-		<rsr file="${basedir}/distributions/web/READMEes.txt" pattern="^(Versi.?n\s*)(.*)" replacement="$1${version}" />
-		<!-- fr -->
-		<rsr file="${basedir}/distributions/web/READMEfr.txt" pattern="^(Date\s*)(.*)" replacement="$1${month.fr} ${current.year}" />
-		<rsr file="${basedir}/distributions/web/READMEfr.txt" pattern="^(Version\s*)(.*)" replacement="$1${version}" />
-		<!-- ru -->
-		<rsr file="${basedir}/distributions/web/READMEru.txt" pattern="^(ÐÐ°ÑÐ°\s*)(.*)" replacement="$1${month.ru} ${current.year}" />
-		<rsr file="${basedir}/distributions/web/READMEru.txt" pattern="^(ÐÐµÑÑÐžÑ\s*)(.*)" replacement="$1${version}" />
-		<!-- en -->
-		<rsr file="${basedir}/distributions/web/READMEen.txt" pattern="^(Date\s*)(.*)" replacement="$1${month.default} ${current.year}" />
-		<rsr file="${basedir}/distributions/web/READMEen.txt" pattern="^(Version\s*)(.*)" replacement="$1${version}" />
-
-	</target>
-
 	<target name="remove-unneeded-files">
 		<delete file="${basedir}/distributions/web/gli/.greenstonestore" />
Index: release-kits/mark2/installer/build.xml
===================================================================
--- release-kits/mark2/installer/build.xml	(revision 18053)
+++ release-kits/mark2/installer/build.xml	(revision 18054)
@@ -74,7 +74,4 @@
 		<delete file="${installDir}/resources/*.png"/>
 
-		<echo>Create usage.txt</echo>
-		<echo file="${installDir}/etc/usage.txt"></echo>
-
 		<echo>Creating installation properties file</echo>
 		<echo file="${installDir}/etc/installation.properties">#this file is just a placeholder for now</echo>
Index: release-kits/wirk2/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/wirk2/ant-scripts/create-distribution.xml	(revision 18053)
+++ release-kits/wirk2/ant-scripts/create-distribution.xml	(revision 18054)
@@ -8,5 +8,4 @@
 		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distributions/web/gli"/></antcall>
 		<antcall target="drop-in-docs" />
-		<antcall target="tweak-files" />
 		<antcall target="insert-uninstaller"><param name="script-format" value="bat"/></antcall> <!-- from rk2-targets -->
 		<antcall target="dist-unzip-packages"/>
@@ -16,4 +15,5 @@
 		<antcall target="compile-gli" />
 		<antcall target="remove-unneeded-files" />
+		<antcall target="create-needed-empty-files"><parem name="gsdl.basedir" value="distributions/web"/></antcall>
 
 		<antcall target="create-binary-zip-windows"/>
@@ -68,25 +68,4 @@
 	</target>
 
-	<target name="tweak-files">
-		<echo level="info">Changing date and version in the docs</echo>
-		<!-- ar -->
-		<rsr file="${basedir}/distributions/web/READMEar.txt" pattern="(Ø§ÙØªØ§Ø±ÙØ® : \s*)(.*)" replacement="$1${month.ar} ${current.year}" />
-		<rsr file="${basedir}/distributions/web/READMEar.txt" pattern="(Ø§ÙÙØ³Ø®Ù : \s*)(.*)" replacement="$1${version}" />
-		<!-- es -->
-		<rsr file="${basedir}/distributions/web/READMEes.txt" pattern="^(Fecha\s*)(.*)" replacement="$1${month.es} de ${current.year}" />
-		<rsr file="${basedir}/distributions/web/READMEes.txt" pattern="^(Versi.?n\s*)(.*)" replacement="$1${version}" />
-		<!-- fr -->
-		<rsr file="${basedir}/distributions/web/READMEfr.txt" pattern="^(Date\s*)(.*)" replacement="$1${month.fr} ${current.year}" />
-		<rsr file="${basedir}/distributions/web/READMEfr.txt" pattern="^(Version\s*)(.*)" replacement="$1${version}" />
-		<!-- ru -->
-		<rsr file="${basedir}/distributions/web/READMEru.txt" pattern="^(ÐÐ°ÑÐ°\s*)(.*)" replacement="$1${month.ru} ${current.year}" />
-		<rsr file="${basedir}/distributions/web/READMEru.txt" pattern="^(ÐÐµÑÑÐžÑ\s*)(.*)" replacement="$1${version}" />
-		<!-- en -->
-		<rsr file="${basedir}/distributions/web/READMEen.txt" pattern="^(Date\s*)(.*)" replacement="$1${month.default} ${current.year}" />
-		<rsr file="${basedir}/distributions/web/READMEen.txt" pattern="^(Version\s*)(.*)" replacement="$1${version}" />
-
-		
-	</target>
-
 	<target name="remove-unneeded-files">
 		<delete file="${basedir}/distributions/web/gli/.greenstonestore" />
Index: release-kits/wirk2/installer/build.xml
===================================================================
--- release-kits/wirk2/installer/build.xml	(revision 18053)
+++ release-kits/wirk2/installer/build.xml	(revision 18054)
@@ -100,7 +100,4 @@
 		<rsr file="${installDir}/gsdlsite.cfg" pattern="@gsdlhome@" replacement="${installDir}"/>
 
-		<echo>Create usage.txt</echo>
-		<echo file="${installDir}/etc/usage.txt"></echo>
-				
 		<echo message="Creating installation properties file"/>
 		<echo file="${installDir}\etc\installation.properties">installed.startmenu.path:${startmenu.path.unix}</echo>