Index: /gsdl/trunk/common-src/src/gdbmedit/db2txt/win32.mak
===================================================================
--- /gsdl/trunk/common-src/src/gdbmedit/db2txt/win32.mak	(revision 18069)
+++ /gsdl/trunk/common-src/src/gdbmedit/db2txt/win32.mak	(revision 18070)
@@ -26,8 +26,8 @@
 
 GSDLHOME = ..\..\..\..
-COMMONHOME = $(GSDLHOME)\common-src
+COMMON_DIR = $(GSDLHOME)\common-src
 
 GSDL_VC4 = 0
-STLPATH = "$(COMMONHOME)\packages\windows\stlport\stlport"
+STLPATH = "$(COMMON_DIR)\packages\windows\stlport\stlport"
 
 AR = lib
@@ -43,6 +43,6 @@
 
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -D_CRT_SECURE_NO_DEPRECATE
-INCLUDES = -I"$(COMMONHOME)\src\gdbmedit\db2txt" -I"$(COMMONHOME)\src\lib" -I"$(COMMONHOME)\indexers\mg\lib" \
-	   -I"$(COMMONHOME)\packages\windows\gdbm\gdbm"
+INCLUDES = -I"$(COMMON_DIR)\src\gdbmedit\db2txt" -I"$(COMMON_DIR)\src\lib" -I"$(COMMON_DIR)\indexers\mg\lib" \
+	   -I"$(COMMON_DIR)\packages\windows\gdbm\gdbm"
 !IF $(GSDL_VC4)
 DEFS=$(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
@@ -50,6 +50,6 @@
 !ENDIF
 
-LIBS = "$(COMMONHOME)\indexers\mg\lib\unitool.obj" "$(COMMONHOME)\src\lib\gsdllib.lib" \
-       "$(COMMONHOME)\packages\windows\gdbm\gdbm\gdbm.lib"
+LIBS = "$(COMMON_DIR)\indexers\mg\lib\unitool.obj" "$(COMMON_DIR)\src\lib\gsdllib.lib" \
+       "$(COMMON_DIR)\packages\windows\gdbm\gdbm\gdbm.lib"
 
 COMPILE = $(CC) -nologo -c $(CPPFLAGS) $(DEFS) $(INCLUDES)
Index: /gsdl/trunk/common-src/src/gdbmedit/gdbmget/win32.mak
===================================================================
--- /gsdl/trunk/common-src/src/gdbmedit/gdbmget/win32.mak	(revision 18069)
+++ /gsdl/trunk/common-src/src/gdbmedit/gdbmget/win32.mak	(revision 18070)
@@ -26,8 +26,8 @@
 
 GSDLHOME = ..\..\..\..
-COMMONHOME = $(GSDLHOME)\common-src
+COMMON_DIR = $(GSDLHOME)\common-src
 
 USE_STLPORT = 0
-STLPATH = "$(COMMONHOME)packages\windows\stlport\stlport"
+STLPATH = "$(COMMON_DIR)packages\windows\stlport\stlport"
 
 AR = lib
@@ -37,6 +37,6 @@
 
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H
-INCLUDES = -I"$(COMMONHOME)\src\gdbmedit\gdbmget" -I"$(COMMONHOME)\src\lib" -I"$(COMMONHOME)\indexers\mg\lib" \
-	-I"$(COMMONHOME)\packages\windows\gdbm\gdbm"
+INCLUDES = -I"$(COMMON_DIR)\src\gdbmedit\gdbmget" -I"$(COMMON_DIR)\src\lib" -I"$(COMMON_DIR)\indexers\mg\lib" \
+	-I"$(COMMON_DIR)\packages\windows\gdbm\gdbm"
 !IF $(USE_STLPORT)
 DEFS=$(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
@@ -44,5 +44,5 @@
 !ENDIF
 
-LIBS = "$(COMMONHOME)\packages\windows\gdbm\gdbm\gdbm.lib"
+LIBS = "$(COMMON_DIR)\packages\windows\gdbm\gdbm\gdbm.lib"
 
 COMPILE = $(CC) -c -GX $(DEFS) $(INCLUDES)
Index: /gsdl/trunk/common-src/src/gdbmedit/gdbmset/win32.mak
===================================================================
--- /gsdl/trunk/common-src/src/gdbmedit/gdbmset/win32.mak	(revision 18069)
+++ /gsdl/trunk/common-src/src/gdbmedit/gdbmset/win32.mak	(revision 18070)
@@ -26,8 +26,8 @@
 
 GSDLHOME = ..\..\..\..
-COMMONHOME = $(GSDLHOME)\common-src
+COMMON_DIR = $(GSDLHOME)\common-src
 
 USE_STLPORT = 0
-STLPATH = "$(COMMONHOME)\packages\windows\stlport\stlport"
+STLPATH = "$(COMMON_DIR)\packages\windows\stlport\stlport"
 
 AR = lib
@@ -37,6 +37,6 @@
 
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H
-INCLUDES = -I"$(COMMONHOME)\src\gdbmedit\gdbmset" -I"$(COMMONHOME)\src\lib" -I"$(COMMONHOME)\indexers\mg\lib" \
-	-I"$(COMMONHOME)\packages\windows\gdbm\gdbm"
+INCLUDES = -I"$(COMMON_DIR)\src\gdbmedit\gdbmset" -I"$(COMMON_DIR)\src\lib" -I"$(COMMON_DIR)\indexers\mg\lib" \
+	-I"$(COMMON_DIR)\packages\windows\gdbm\gdbm"
 !IF $(USE_STLPORT)
 DEFS=$(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
@@ -44,5 +44,5 @@
 !ENDIF
 
-LIBS = "$(COMMONHOME)\packages\windows\gdbm\gdbm\gdbm.lib"
+LIBS = "$(COMMON_DIR)\packages\windows\gdbm\gdbm\gdbm.lib"
 
 COMPILE = $(CC) -c -GX $(DEFS) $(INCLUDES)
Index: /gsdl/trunk/common-src/src/gdbmedit/txt2db/win32.mak
===================================================================
--- /gsdl/trunk/common-src/src/gdbmedit/txt2db/win32.mak	(revision 18069)
+++ /gsdl/trunk/common-src/src/gdbmedit/txt2db/win32.mak	(revision 18070)
@@ -26,8 +26,8 @@
 
 GSDLHOME = ..\..\..\..
-COMMONHOME = $(GSDLHOME)\common-src
+COMMON_DIR = $(GSDLHOME)\common-src
 
 GSDL_VC4 = 0
-STLPATH = "$(COMMONHOME)\packages\windows\stlport\stlport"
+STLPATH = "$(COMMON_DIR)\packages\windows\stlport\stlport"
 
 AR = lib
@@ -43,6 +43,6 @@
 
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -D_CRT_SECURE_NO_DEPRECATE
-INCLUDES = -I"$(COMMONHOME)\src\gdbmedit\txt2db" -I"$(COMMONHOME)\src\lib" -I"$(COMMONHOME)\indexers\mg\lib" \
-	   -I"$(COMMONHOME)\packages\windows\gdbm\gdbm"
+INCLUDES = -I"$(COMMON_DIR)\src\gdbmedit\txt2db" -I"$(COMMON_DIR)\src\lib" -I"$(COMMON_DIR)\indexers\mg\lib" \
+	   -I"$(COMMON_DIR)\packages\windows\gdbm\gdbm"
 !IF $(GSDL_VC4)
 DEFS=$(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
@@ -50,6 +50,6 @@
 !ENDIF
 
-LIBS = "$(COMMONHOME)\indexers\mg\lib\unitool.obj" "$(COMMONHOME)\src\lib\gsdllib.lib" \
-       "$(COMMONHOME)\packages\windows\gdbm\gdbm\gdbm.lib"
+LIBS = "$(COMMON_DIR)\indexers\mg\lib\unitool.obj" "$(COMMON_DIR)\src\lib\gsdllib.lib" \
+       "$(COMMON_DIR)\packages\windows\gdbm\gdbm\gdbm.lib"
 
 COMPILE = $(CC) -nologo -c $(CPPFLAGS) $(DEFS) $(INCLUDES)