Index: /gsdl/trunk/common-src/src/gdbmedit/db2txt/win32.mak
===================================================================
--- /gsdl/trunk/common-src/src/gdbmedit/db2txt/win32.mak	(revision 18074)
+++ /gsdl/trunk/common-src/src/gdbmedit/db2txt/win32.mak	(revision 18075)
@@ -44,5 +44,5 @@
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -D_CRT_SECURE_NO_DEPRECATE
 INCLUDES = -I"$(COMMON_DIR)\src\gdbmedit\db2txt" -I"$(COMMON_DIR)\src\lib" -I"$(COMMON_DIR)\indexers\mg\lib" \
-	   -I"$(COMMON_DIR)\packages\windows\gdbm\gdbm"
+	   -I"$(COMMON_DIR)\packages\gdbm\gdbm-1.8.3" -I"$(COMMON_DIR)\packages\gdbm\gdbm-1.8.3\windows"
 !IF $(GSDL_VC4)
 DEFS=$(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
@@ -51,5 +51,5 @@
 
 LIBS = "$(COMMON_DIR)\indexers\mg\lib\unitool.obj" "$(COMMON_DIR)\src\lib\gsdllib.lib" \
-       "$(COMMON_DIR)\packages\windows\gdbm\gdbm\gdbm.lib"
+       "$(COMMON_DIR)\packages\gdbm\gdbm-1.8.3\gdbm.lib"
 
 COMPILE = $(CC) -nologo -c $(CPPFLAGS) $(DEFS) $(INCLUDES)
Index: /gsdl/trunk/common-src/src/gdbmedit/gdbmget/win32.mak
===================================================================
--- /gsdl/trunk/common-src/src/gdbmedit/gdbmget/win32.mak	(revision 18074)
+++ /gsdl/trunk/common-src/src/gdbmedit/gdbmget/win32.mak	(revision 18075)
@@ -1,5 +1,5 @@
 ###########################################################################
 #
-# win32 makefile -- db2txt
+# win32 makefile -- gdbmget
 # A component of the Greenstone digital library software
 # from the New Zealand Digital Library Project at the
@@ -29,5 +29,5 @@
 
 USE_STLPORT = 0
-STLPATH = "$(COMMON_DIR)packages\windows\stlport\stlport"
+STLPATH = "$(COMMON_DIR)\packages\windows\stlport\stlport"
 
 AR = lib
@@ -38,5 +38,5 @@
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H
 INCLUDES = -I"$(COMMON_DIR)\src\gdbmedit\gdbmget" -I"$(COMMON_DIR)\src\lib" -I"$(COMMON_DIR)\indexers\mg\lib" \
-	-I"$(COMMON_DIR)\packages\windows\gdbm\gdbm"
+	   -I"$(COMMON_DIR)\packages\gdbm\gdbm-1.8.3" -I"$(COMMON_DIR)\packages\gdbm\gdbm-1.8.3\windows"
 !IF $(USE_STLPORT)
 DEFS=$(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
@@ -44,5 +44,5 @@
 !ENDIF
 
-LIBS = "$(COMMON_DIR)\packages\windows\gdbm\gdbm\gdbm.lib"
+LIBS = "$(COMMON_DIR)\packages\gdbm\gdbm-1.8.3\gdbm.lib"
 
 COMPILE = $(CC) -c -GX $(DEFS) $(INCLUDES)
Index: /gsdl/trunk/common-src/src/gdbmedit/gdbmset/win32.mak
===================================================================
--- /gsdl/trunk/common-src/src/gdbmedit/gdbmset/win32.mak	(revision 18074)
+++ /gsdl/trunk/common-src/src/gdbmedit/gdbmset/win32.mak	(revision 18075)
@@ -1,5 +1,5 @@
 ###########################################################################
 #
-# win32 makefile -- db2txt
+# win32 makefile -- gdbmset
 # A component of the Greenstone digital library software
 # from the New Zealand Digital Library Project at the
@@ -38,5 +38,5 @@
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H
 INCLUDES = -I"$(COMMON_DIR)\src\gdbmedit\gdbmset" -I"$(COMMON_DIR)\src\lib" -I"$(COMMON_DIR)\indexers\mg\lib" \
-	-I"$(COMMON_DIR)\packages\windows\gdbm\gdbm"
+	   -I"$(COMMON_DIR)\packages\gdbm\gdbm-1.8.3" -I"$(COMMON_DIR)\packages\gdbm\gdbm-1.8.3\windows"
 !IF $(USE_STLPORT)
 DEFS=$(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
@@ -44,5 +44,5 @@
 !ENDIF
 
-LIBS = "$(COMMON_DIR)\packages\windows\gdbm\gdbm\gdbm.lib"
+LIBS = "$(COMMON_DIR)\packages\gdbm\gdbm-1.8.3\gdbm.lib"
 
 COMPILE = $(CC) -c -GX $(DEFS) $(INCLUDES)
Index: /gsdl/trunk/common-src/src/gdbmedit/txt2db/win32.mak
===================================================================
--- /gsdl/trunk/common-src/src/gdbmedit/txt2db/win32.mak	(revision 18074)
+++ /gsdl/trunk/common-src/src/gdbmedit/txt2db/win32.mak	(revision 18075)
@@ -44,5 +44,5 @@
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -D_CRT_SECURE_NO_DEPRECATE
 INCLUDES = -I"$(COMMON_DIR)\src\gdbmedit\txt2db" -I"$(COMMON_DIR)\src\lib" -I"$(COMMON_DIR)\indexers\mg\lib" \
-	   -I"$(COMMON_DIR)\packages\windows\gdbm\gdbm"
+	   -I"$(COMMON_DIR)\packages\gdbm\gdbm-1.8.3" -I"$(COMMON_DIR)\packages\gdbm\gdbm-1.8.3\windows"
 !IF $(GSDL_VC4)
 DEFS=$(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
@@ -51,5 +51,5 @@
 
 LIBS = "$(COMMON_DIR)\indexers\mg\lib\unitool.obj" "$(COMMON_DIR)\src\lib\gsdllib.lib" \
-       "$(COMMON_DIR)\packages\windows\gdbm\gdbm\gdbm.lib"
+       "$(COMMON_DIR)\packages\gdbm\gdbm-1.8.3\gdbm.lib"
 
 COMPILE = $(CC) -nologo -c $(CPPFLAGS) $(DEFS) $(INCLUDES)